* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    scroll-behavior: smooth;
    font-family: 'Poppins', sans-serif;
}

:root {
    --bg-color: #ffffff;
    --second-bg-color: #efefef;
    --text-color: #000000;
    --main-color: #71b4ff;
    --second-color: #9b45eb;
}

html {
    font-size: 60%;
    overflow-x: hidden;
}

body {
    background-color: var(--bg-color);
    color: var(--text-color);
}

.header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    /*padding: 2rem 15%;*/
    padding: 4rem 15%;
    background-color: rgba(255, 255, 255, 0.3);
    backdrop-filter: blur(10px);
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 1000;
}


#menu-icon {
    font-size: 3.5rem;
    color: var(--main-color);
    display: none;
}

.logo {
    /*width: 80px;*/
    width: 80px;
    height: auto;
    cursor: pointer;
    transition: 0.3s ease-in-out;
}

.logo:hover {
    transform: scale(1.1);
}

span {
    background: linear-gradient(
            270deg,
            var(--main-color) 10%,
            var(--second-color) 100%
    );
    background-clip: text;
    color: transparent;
}
.navbar a {
    font-size: 1.8rem;
    color: var(--text-color);
    margin-left: 4rem;
    font-weight: 500;
    transition: 0.3s ease-in-out;
    border-bottom: 3px solid transparent;
}

.navbar a:hover {
    color: var(--main-color);
    border-bottom: 3px solid var(--main-color);
}

.gradient-btn {
    font-size: 1.8rem;
    padding: 1rem 2rem;
    border-radius: 3rem;
    background: linear-gradient(
            270deg,
            var(--main-color),
            var(--second-color)
    );
    letter-spacing: 1px;
    cursor: pointer;
    transition: 0.3s ease-in-out;
    color: #ffffff;
    border: none;
    text-wrap: nowrap;
}

.gradient-btn:hover {
    transform: scale(1.05);
}

section {
    min-height: 100vh;
    padding: 10rem 15%;
}

.home {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15rem;
}

.home-content {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    text-align: right;
}
.home-content h1 {
    font-size: 6rem;
    font-weight: 700;
    margin-top: 1.5rem;
    line-height: 1;
}

.home-content h3 {
    margin: 1rem 0;
    font-size: 3rem;
}

.home-content p {
    font-size: 1.7rem;
    font-weight: 500;
    line-height: 1.8;
}

.home-img img {
    width: 30vw;
    border-radius: 50%;
    box-shadow: 0 0 25px var(--main-color);
    transition: 0.4s ease-in-out;
    transform: scaleX(-1);
}

.home-img img:hover {
    box-shadow: 0 0 25px var(--main-color),
    0 0 30px var(--main-color),
    0 0 40px var(--main-color);
}

.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    font-size: 3rem;
    padding: 1rem;
    background: transparent;
    border: 2px solid var(--main-color);
    border-radius: 50%;
    color: var(--main-color);
    margin: 3rem 0.5rem;
    transition: 0.3s ease-in-out;
}

.social-icons a:hover {
    color: var(--text-color);
    background-color: var(--main-color);
    transform: scale(1.2) translateY(-1rem);
    box-shadow: 0 0 25px var(--main-color);
}

.btn-group {
    display: flex;
    gap: 1.5rem;
}

.btn {
    display: inline-block;
    padding: 1rem 3rem;
    background-color: var(--main-color);
    box-shadow: 0 0 25px var(--main-color);
    border-radius: 3rem;
    font-size: 1.8rem;
    color: #ffffff;
    border: 2px solid transparent;
    font-weight: 600;
    transition: 0.3s ease-in-out;
}

.btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 25px var(--main-color),
    0 0 50px var(--main-color);
}

.btn-group a:nth-of-type(2) {
    background-color: #ffffff;
    color: var(--main-color);
    border: 2px solid var(--main-color);
    box-shadow: 0 0 25px transparent;
}

.btn-group a:nth-of-type(2):hover {
    box-shadow: 0 0 25px var(--main-color);
    background-color: var(--main-color);
    color: #ffffff;
}
.about {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10rem;
    background: var(--second-bg-color);
}
.about-img {
    width: 27vw;
    display: flex;
    justify-content: center;
    align-items: center;
}
.stats-about {
    display: flex;
    flex-direction: column;
    gap: 3rem;
    align-items: center;
}

.stat-box {
    text-align: center;
}

.stat-box h1 {
    font-size: 8rem;
    font-weight: 700;
    background: linear-gradient(270deg, var(--main-color), var(--second-color));
    -webkit-background-clip: text;
    color: transparent;
}

.stat-box p {
    font-size: 1.8rem;
    margin-top: 1rem;
    line-height: 1.5;
}
.stat-box {
    opacity: 0;
    transform: translateY(30px);
    animation: fadeUp 1s ease forwards;
}

.stat-box:nth-child(2) {
    animation-delay: 0.3s;
}

@keyframes fadeUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.about-content h2 {
    font-size: 7rem;
    text-align: left;
}

.about-content p {
    font-size: 1.7rem;
    font-weight: 500;
    line-height: 1.8;
}

.about-content .btn {
    margin: 3rem 0;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: var(--main-color);
}

::-webkit-scrollbar-track {
    background-color: var(--bg-color);
}

.heading {
    text-align: center;
    font-size: 7rem;
    margin: 5rem 0;
}

.services {
    background-color: var(--bg-color);
    color: black;
}

.services h2 {
    color: var(--text-color);
}

.services-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    align-items: center;
    gap: 2.5rem;
}

.services-box {
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--main-color);
    height: 500px;
    border-radius: 3rem;
    cursor: pointer;
    border: 5px solid transparent;
    transition: 0.4s ease-in-out;
}

.services-box:hover {
    background: var(--second-bg-color);
    color: var(--main-color);
    border: 5px solid var(--main-color);
    transform: scale(1.03);
}

.services-info {
    display: flex;
    flex-direction: column;
    text-align: center;
    justify-content: center;
    align-items: center;
    padding: 5rem;
}

.services-info h4 {
    font-size: 4rem;
    margin: 2rem 0;
    font-weight: 800;
}

.services-info p {
    font-size: 1.4rem;
    font-weight: 600;
    line-height: 1.7;
}

.services-info i {
    font-size: 8rem;
}

.projekty {
    background-color: var(--second-bg-color);
}

.projekt-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    place-items: center;
    gap: 3rem;
    row-gap: 5rem;
}

.projekt-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    background-color: var(--bg-color);
    border: 2px solid var(--main-color);
    border-radius: 3rem;
    gap: 2rem;
    padding: 5rem 2rem;
    overflow: hidden;
    cursor: pointer;
    box-shadow: 0 0 5px var(--main-color);
    transition: 0.3s ease;
}

.projekt-card:hover {
    box-shadow: 0 0 25px var(--main-color),
    0 0 50px var(--main-color);
    transform: scale(1.02);
}

.projekt-card img {
    max-width: 300px;
    border-radius: 2rem;
    object-fit: cover;
}

.projekt-card h3 {
    font-size: 3rem;
}

.projekt-card p {
    font-size: 1.6rem;
}

.kontakt {
    background-color: var(--bg-color);
}

.kontakt h2 {
    margin-bottom: 3rem;
    color: var(--text-color);
}

.kontakt form {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 3rem;
    margin: 5rem 0;
    text-align: center;
}
.kontakt form .input-box input,
.kontakt form textarea {
    width: 100%;
    padding: 2.5rem;
    font-size: 1.8rem;
    color: var(--text-color);
    background-color: var(--bg-color);
    border-radius: 2rem;
    border: 2px solid var(--main-color);
    margin: 1.5rem 0;
    resize: none;
}

.footer {
    background-color: var(--second-bg-color);
    padding: 50px 0;
}

.footer .social-icons {
    text-align: center;
}

.footer ul {
    text-align: center;
    font-size: 1.8rem;
}

.footer ul li {
    display: inline-block;
    margin-left: 20px;
}

.footer ul li a {
    color: var(--text-color);
    border-bottom: 3px solid transparent;
    transition: 0.3s ease-in-out;
}

.footer ul li a:hover {
    border-bottom: 3px solid var(--main-color);
}

.footer .copyright {
    text-align: center;
    margin-top: 40px;
    font-size: 12px;
}

@media (max-width: 1285px) {
    #menu-icon {
        display: block;
    }

    #navbar {
        display: none;
        position: absolute;
        top: 100%;
        right: 0;
        width: 50%;
        padding: 1rem 3rem;
        background: rgba(255, 255, 255, 0.8);
        border-bottom-left-radius: 2rem;
        border-left: 2px solid var(--main-color);
        border-bottom: 2px solid var(--main-color);
    }

    .navbar a {
        display: block;
        font-size: 2rem;
        margin: 3rem 0;
        color: var(--text-color);
    }
    #navbar.active {
        display: block;
    }

    .gradient-btn {
        display: none;
    }

    .home {
        flex-direction: column-reverse;
        margin: 5rem 0;
        gap: 3rem;
    }

    .home-content {
        align-items: center;
        text-align: center;
    }

    .home-img img {
        width: 56vw;
    }

    .about {
        flex-direction: column-reverse;
        text-align: center;

        .about h2 {
            text-align: center;
            margin: 2rem 0;
        }

        .about img {
            width: 56vw;
        }

        .contact form {
            flex-direction: column;
        }
    }
}
.reveal-left,
.reveal-right {
    opacity: 0;
    transition: all 0.8s ease;
}

/* zleva */
.reveal-left {
    transform: translateX(-100px);
}

/* zprava */
.reveal-right {
    transform: translateX(100px);
}

.reveal-left.active,
.reveal-right.active {
    opacity: 1;
    transform: translateX(0);
}